Subject: RE: Burning cygwin distribution CDs
From: "Ross Smith II" <[email-masked]>
To: "Laurynas Biveinis" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 27 Dec 2002 07:53:09 -0800

> From: Laurynas Biveinis
>
> I want to burn CDs with full cygwin distribution with sources and so on.
> I've downloaded everything from
> ftp://ftp.gwdg.de/pub/linux/sources.redhat/cygwin/release, but it takes
> almost 1 GB. How should I burn it into 2 CDs so that setup.exe still
> works correctly? What directory layout should I use?

Laurynas,

I fit everything I need on 1 CD, by not including the /xfree directory
(370MB), the /release/XFree86 directory (80MB), and not including the [prev]
and [test] packages listed in setup.ini:

#!/usr/bin/perl -w
use strict;
my $dir = shift || '/hdc1/cygwin';
my $file = $dir . '/setup.ini';
open(FH, $file) || die "Can't open $file: $!";
my $prev = 0;
my $line = 0;
while (<FH>) {
      $line++;
      if (/\[prev\]/ || /\[test\]/) {
            $prev++;
            next;
      }
      next unless $prev;
      if (/^\s*$/) {
            $prev = 0;
            next;
      }
      if (/^\w+:\s*(\S+)\s+/) {
            $_ = $1;
            next unless m|/|;
            $file = $dir . '/' . $_;
            if (-e $file) {
                  print "deleting $file\n";
                  unlink($file);
            }
      }
}

Hope that helps,

Ross

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/